name: U231-09XN-4BLRA00
description: connector, USB-A, receptacle, USB 3.0, SMT+TABS
datasheet: http://www.helloxkb.com/public/images/pdf/U231-091N-4BLRA00-S.pdf
distributor: LCSC C381140

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  USB3.0:
    SSRX-: 5
    SSRX+: 6
    GND_DRAIN: 7
    SSTX-: 8
    SSTX+: 9
  SHIELD: 10, 11

properties:
  power: VBUS
  ground: GND, GND_DRAIN
  bidir: D-, D+
  in: SSRX-, SSRX+
  out: SSTX-, SSTX+
  passive: SHIELD

schematic:
  symbol: connector
  top: VBUS
  right: D-, D+, SSRX-, SSRX+, SSTX-, SSTX+
  bottom: GND, GND_DRAIN, SHIELD

housing:
  pattern: custom
  bodyWidth: 13.1
  bodyLength: 14.2
  bodyPosition: 0, 5.25 # use mounting holes as center (12.35 - 14.2 / 2)
  height: 7.1

  # USB pins
  numbers: 9, 1, 8, 2, 7, 3, 6, 4, 5
  padWidth: 0.7
  padHeight: 1.6
  pitch: 1.0
  rowCount: 1
  columnCount: 9
  rowDX: 0
  rowDY: -1.15 # 1.95 - 0.8

  # shell/shield mounting holes
  numbers1: 10, 11
  slotWidth1: 0.6
  slotHeight1: 2.5
  padWidth1: 1.0
  padHeight1: 2.9
  padPosition1: -6.40, 0, 6.40, 0
